POISD2(3)

SYNOPSIS
SUBROUTINE POISD2 (MR, NR, ISTAG, BA, BB, BC, Q, IDIMQ, B, W, D, + TCOS, P)

NAME
poisd2 - Subsidiary to GENBUN

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (POISD2-S, CMPOSD-C)

AUTHOR
(UNKNOWN)

DESCRIPTION
Subroutine to solve Poisson's equation for Dirichlet boundary conditions. ISTAG = 1 if the last diagonal block is the matrix A. ISTAG = 2 if the last diagonal block is the matrix A+I.

SEE ALSO
GENBUN

ROUTINES CALLED
COSGEN, S1MERG, TRIX

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)
920130 Modified to use merge routine S1MERG rather than deleted routine MERGE. (WRB)